Subject: Re: [Dime] rfc3588bis next revision; was Re: [dime] #20: no accounting model specified

From: jouni korhonen <[email-masked]>
Date: Wed, 30 Nov 2011 12:59:26 +0200

Shouldn't we then do the change in RFC4005bis and be done with this ticket? Any proposal for a text?

- Jouni

On Aug 21, 2011, at 6:47 PM, Glen Zorn wrote:

> On 8/21/2011 10:28 PM, jouni korhonen wrote:
> 
> ...
> 
>>>> Hmm.. Any particular reason why NASREQ uses base app id for ACR/ACA and not base acct id?
>>> 
>>> I think that it is an error in 4005.  Actually, I find it hard to
>>> believe that NASREQ would ever work except in a monolithic, "toy"
>>> implementation.  For example, the NASREQ version of the ASR/ASA messages
>>> includes a bunch of optional AVPs (with the 'M' bit set) that are
>>> undefined in RFC 3588 to the base protocol server; it's hard to imagine
>>> how a standard implementation of 3588 could not treat the reception of
>>> such AVPs as an error.
>> 
>> MAybe this is then good candidates to be fixed in 4005bis? Or do you think it would make situation worse in real deployments from a backward compatibility point of view?
> 
> I was under the impression that there are no real deployments; if there
> were, someone would certainly have noticed this, don't you think?
> 
> ...